Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132743 - Added and removed files are twice in show history
Added and removed files are twice in show history
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 12:54 UTC by novakm
Modified: 2008-07-10 15:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Diff view (161.01 KB, image/jpeg)
2008-04-14 12:54 UTC, novakm
Details
Summary view (147.93 KB, image/jpeg)
2008-04-14 12:55 UTC, novakm
Details
main_work_80046_a451a96f2967-multiple-listing-showhistory.patch (3.44 KB, text/plain)
2008-05-16 11:36 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description novakm 2008-04-14 12:54:08 UTC
Everytime I add or remove a file and commit it, it is listed twice in Show History. Screenshots attached.
Comment 1 novakm 2008-04-14 12:54:37 UTC
Created attachment 60129 [details]
Diff view
Comment 2 novakm 2008-04-14 12:55:05 UTC
Created attachment 60130 [details]
Summary view
Comment 3 novakm 2008-04-14 13:22:15 UTC
Same behavior can be observed on windows XP. One entry is always M and second as A or R. At least in diff view it does
not make sense to me. Using tortoiseHg 0.3 on Vista and 0.4RC1 on XP. Will try with mercurial 1.0.
Comment 4 novakm 2008-04-28 11:42:23 UTC
Same with 1.0, could you evaluate, please?
Comment 5 Padraig Obriain 2008-05-16 09:28:02 UTC
I see this on Solaris so I have OS to All.
Comment 6 John Rice 2008-05-16 11:36:00 UTC
Created attachment 61476 [details]
main_work_80046_a451a96f2967-multiple-listing-showhistory.patch
Comment 7 John Rice 2008-05-16 11:39:22 UTC
Seems in Mercurial 1.0 that the debug listing is listing a file that's assed as added and modified, same for removed.

Patch works around this issue.

changeset:   80212:680b607426ca
tag:         tip
user:        jrice@netbeans.org
date:        Fri May 16 11:33:14 2008 +0100
summary:     #132743: Added and removed files appearing with modified listing in Show History

Comment 8 Quality Engineering 2008-05-20 05:17:16 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #206 build
Changeset: http://hg.netbeans.org/main/rev/680b607426ca
User: jrice@netbeans.org
Log: #132743: Added and removed files appearing with modified listing in Show History
Comment 9 novakm 2008-05-20 10:05:07 UTC
Verified in Build 200805200004
Comment 10 rbalada 2008-06-03 16:24:55 UTC
Backported into release61_fixes repository as http://hg.netbeans.org/release61_fixes/rev/16f0d03fdbb1
Comment 11 Peter Pis 2008-06-19 10:32:46 UTC
Verified with patch2.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo